Workflow Campaigns
Get Workflow Campaign API
Retrieve a campaign with a per-status count of its entries and per-code counts of upload validation failures.
GET
/
workflow-campaigns
/
{campaign_id}
cURL
curl --request GET \
--url https://api.bolna.ai/workflow-campaigns/{campaign_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bolna.ai/workflow-campaigns/{campaign_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bolna.ai/workflow-campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_version": 123,
"kind": "batch",
"status": "draft",
"scheduled_at": "2023-11-07T05:31:56Z",
"entries_count": 123,
"success_count": 123,
"failure_count": 123,
"neutral_count": 123,
"terminal_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"entry_counts": {
"pending": 120,
"failed_validation": 3
},
"validation_errors": {
"invalid_phone": 2,
"missing_required_value": 1
}
}{
"detail": {
"code": "revision_conflict",
"message": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique id of the campaign
Response
Campaign detail
Show child attributes
Show child attributes
Entry counts keyed by status (pending, failed_validation, dispatched, completed). Only non-zero statuses are present.
Show child attributes
Show child attributes
Example:
{ "pending": 120, "failed_validation": 3 }
Counts of upload validation failures keyed by failure code.
Show child attributes
Show child attributes
Example:
{
"invalid_phone": 2,
"missing_required_value": 1
}
Was this page helpful?
⌘I
cURL

